org.jboss.resteasy.client.jaxrs.internal.proxy.processors.invocation

## Class HeaderParamProcessor

- java.lang.Object
- - org.jboss.resteasy.client.jaxrs.internal.proxy.processors.AbstractCollectionProcessor<ClientInvocationBuilder>
  - - org.jboss.resteasy.client.jaxrs.internal.proxy.processors.invocation.AbstractInvocationCollectionProcessor
    - - org.jboss.resteasy.client.jaxrs.internal.proxy.processors.invocation.HeaderParamProcessor

- All Implemented Interfaces:
    InvocationProcessor

      public class HeaderParamProcessor
      extends AbstractInvocationCollectionProcessor

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    - ### Fields inherited from class org.jboss.resteasy.client.jaxrs.internal.proxy.processors.AbstractCollectionProcessor

      `paramName`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HeaderParamProcessor(String paramName)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected ClientInvocationBuilder` | `apply(ClientInvocationBuilder target, Object object)`

    - ### Methods inherited from class org.jboss.resteasy.client.jaxrs.internal.proxy.processors.invocation.AbstractInvocationCollectionProcessor

      `process`

    - ### Methods inherited from class org.jboss.resteasy.client.jaxrs.internal.proxy.processors.AbstractCollectionProcessor

      `buildIt`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HeaderParamProcessor

          public HeaderParamProcessor(String paramName)

  - ### Method Detail

    - #### apply

          protected ClientInvocationBuilder apply(ClientInvocationBuilder target,
                                      Object object)

      Specified by:
        `apply` in class `AbstractCollectionProcessor<ClientInvocationBuilder>`

Copyright © 2014. All Rights Reserved.